# Interface IFacetResponse

An item in the response of a Search API facet request.

## Index

### Properties

- facetId
- field
- moreValuesAvailable
- values

## Properties

### facetId

facetId: string

- Defined in rest/Facet/FacetResponse.ts :46

The unique facet identifier in the search interface.

### field

field: string

- Defined in rest/Facet/FacetResponse.ts :51

The name of the field on which the facet is based.

### moreValuesAvailable

moreValuesAvailable: boolean

- Defined in rest/Facet/FacetResponse.ts :56

Whether additional values are available for the facet.

### values

values: IFacetResponseValue[]

- Defined in rest/Facet/FacetResponse.ts :63

The returned facet values.

See IFacetResponseValue

### Hierarchy

- IFacetResponse